com.trendmicro.ds.appcontrol.rest.object

## Enum Event.Action

- java.lang.Object
- - java.lang.Enum<Event.Action>
  - - com.trendmicro.ds.appcontrol.rest.object.Event.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.Action>
  Enclosing class:
    Event

      public static enum Event.Action
      extends java.lang.Enum<Event.Action>

  The action that triggered this event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCKED` Used if the application launch was blocked.
    `DETECT_ONLY` Used if the application launch would have been blocked, but Application Control is in detect-only mode.
    `UNKNOWN` Used if the action that triggered this event is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.Action` | `forValue(java.lang.Integer action)`
    `static Event.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Event.Action UNKNOWN

      Used if the action that triggered this event is unknown.

    - #### DETECT_ONLY

          public static final Event.Action DETECT_ONLY

      Used if the application launch would have been blocked, but Application Control is in detect-only mode.

    - #### BLOCKED

          public static final Event.Action BLOCKED

      Used if the application launch was blocked.

  - ### Method Detail

    - #### values

          public static Event.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.Action c : Event.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static Event.Action forValue(java.lang.Integer action)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.